chol2inv                package:base                R Documentation

Inverse from Choleski Decomposition

Description:

     Invert a symmetric, positive definite square matrix from its
     Choleski decomposition.

Usage:

     chol2inv(x, size = NCOL(x), LINPACK = FALSE)
     La.chol2inv(x, size = ncol(x))

Arguments:

       x: a matrix.  The first 'nc' columns of the upper triangle
          contain the Choleski decomposition of the matrix to be
          inverted.

    size: the number of columns of 'x' containing the Choleski
          decomposition.

 LINPACK: logical. Should LINPACK be used (for compatibility with R <
          1.7.0)?

Details:

     'chol2inv(LINPACK=TRUE)' provides an interface to the LINPACK
     routine DPODI. 'La.chol2inv' provides an interface to the LAPACK
     routine DPOTRI.

Value:

     The inverse of the decomposed matrix.

References:

     Dongarra, J. J., Bunch, J. R., Moler, C. B. and Stewart, G. W.
     (1978) _LINPACK Users Guide_. Philadelphia: SIAM Publications.

     Anderson. E. and ten others (1999) _LAPACK Users' Guide_. Third
     Edition. SIAM. Available on-line at <URL:
     http://www.netlib.org/lapack/lug/lapack_lug.html>.

See Also:

     'chol', 'solve'.

Examples:

     cma <- chol(ma  <- cbind(1, 1:3, c(1,3,7)))
     ma %*% chol2inv(cma)

